<?


include 'connect.php';
$title = $title.' | Регистрация';
include 'head.php';					
echo '<div class="title"><img src = "img/reg.gif"> Регистрация</div>'; 
echo '<div class="block_action">';
if(!$_GET['reg']=='ok'){
//Ввод данных регистрации
echo '<form action="reg.php?reg=ok" method=post>
Логин:<br/>
<input type=text name=login maxlength=25><br/>
Пароль (буквы только латинские):<br/>
<input type=text name=password maxlength=25><br/>
Пол: <br/><select name="sex">
<option value="0">- Не выбран -</option>
<option value="zh">Женский</option>
<option value="m">Мужской</option>
</select><br/>
Введите код </br><img src="captcha.php" border="0" alt="."><br/>
<input type=text name=kod maxlength=5><br/>
<input type=submit class=btn value="Зарегистрироваться" class="submit white"/>
</form><hr>';
echo 'Фактом регистрации Вы соглашаетесь с <a href = "rules.php">Правилами</a> сайта.';
}
else
{
//Принимаем переменные
$login = isset($_POST['login']);   $login = trim($_POST['login']);
$password = isset($_POST['password']);   $password = trim($_POST['password']);
$sex = isset($_POST['sex']);   $sex = trim($_POST['sex']);

   // Проверка логина
   if (empty($login)){
   echo 'Не введён Логин!<br/>'; $error = '1';
   } else {
	  if (strlen($login) < 3 || strlen($login) > 15){
      echo 'Недопустимая длина Логина (Не более 15 символов и не менее 3)<br />'; $error = '1';
	  } else {
         if (preg_match('/^([a-z0-9\-\@\*\(\)\?\!\~\_\=\[\]]{3,20})$/i',$login)){
         } else {
		echo 'Недопустимые символы в Логине!<br/>'; $error = '1';
		}
	  }
   }

   // Проверка пароля
   if (empty($password)){
   echo 'Не введён пароль!<br/>'; $error = '1';
   } else {
      if (strlen($password) < 2 || strlen($password) > 25){
      echo 'Недопустимая длина пароля (Не более 25 символов и не менее 2)<br />'; $error = '1';
	  } else { 
	     if (preg_match("/[^0-9a-z\-\@\*\(\)\?\!\~\_\=\[\]]+/i", $password)){
         echo 'Недопустимые символы в пароле!<br/>'; $error = '1';}
      }
   }

   // Проверка пола
   if ($sex != 'zh' && $sex != 'm'){
   echo 'Не выбран пол!<br/>'; $error = '1';}
		

//Проверка на занятость Логина
$reg = mysql_query("select * from `users` where `login`='" . mysql_real_escape_string($login) . "';");
   if (mysql_num_rows($reg) != 0) {
   echo 'Этот Логин уже зарегистрирован!<br/>'; $error = '1';
   } else {
      //Проверка кода
      if (empty($_POST['kod'])) {
      echo 'Защитный код не введен!'; $error = '1';
      } else {
         if ($_SESSION['code'] != $_POST['kod']) {
         echo 'Защитный код введен не верно!'; $error = '1';
         }
      }
      
	  //Если нет ошибок
      if (empty($error)){
	  $pass = md5(md5($password));
         $ucount = mysql_result(mysql_query("SELECT COUNT(*) FROM `users`"), 0);
         if($ucount == 0){ $admin = 1; } else { $admin = 0; }
      mysql_query("INSERT INTO `users` SET
        `login` = '" . mysql_real_escape_string($login) . "',
		`pass` = '".mysql_real_escape_string($pass)."',
        `password` = '" . mysql_real_escape_string($password) . "',
        `sex` = '$sex',
        `admin` = '$admin',
		`likes` = '0',
		`rating` = '0',
		`money` = '0',
		`anketa_datareg` = '".time()."'
      ");
	  $id=mysql_insert_id();
      echo '<div class = "zag">Вы успешно зарегистрированы!:)</div>';
      echo "Ваш id: " . $id . "<br/>";
      echo "Ваш Логин: " . $login . "<br/>";
      echo "Ваш Пароль: " . $password . "<br/>";
      echo "Ссылка для автовхода:<br/><input type='text' value='http://".$url."/aut.php?id=" . $id . "&amp;p=" . $password . "' /><br/>";
      echo "<br /><a href='aut.php?id=" . $id . "&amp;p=" . $password . "'>Вход!</a><br/><br/>";
      } 	
   }
}




echo '</div>';

include 'foot.php';

?>